<?php
class GalleryNav implements INavigationController{
	private $_uri;
	
	public function __construct() {
		$this->_uri=new URI("Gallery","/gallery","/images/photo.svg");
	}
	
	public function GetItems() {
		$repo=new AlbumRepository();
		$albums=$repo->GetAlbums();
		$uris=array();
		foreach ($albums as $a)
			$uris[]=new URI($a->AlbumTitle,'view/'.$a->AlbumUrl);
		$uris[]=new URI("<i>View all</i>","");
		return $uris;
	}

	public function GetURI() {
		return $this->_uri;
	}
}
